// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/vmt-SYNAPSE_6_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "vmt-SYNAPSE_6_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    int state_0;
    int state_1;
    _Bool state_2;
    _Bool state_3;
    _Bool state_4;
    _Bool state_5;
    _Bool state_6;
    _Bool state_7;
    int state_8;
    int state_9;
    int state_10;
    int state_11;
    int state_12;
    int state_13;
    int state_14;
    int state_15;
    int state_16;
    int state_17;
    int state_18;
    int state_19;
    int state_20;
    int state_21;
    int state_22;
    int state_23;
    int state_24;
    int state_25;
    int state_26;
    int state_27;
    int state_28;
    int state_29;
    int state_30;
    _Bool state_31;
    int state_32;
    int state_33;
    int state_34;
    int state_35;
    _Bool state_36;
    int state_37;
    int state_38;
    _Bool state_39;
    int state_40;
    _Bool state_41;
    _Bool state_42;
    int state_43;
    int A_0;
    int B_0;
    _Bool C_0;
    int D_0;
    _Bool E_0;
    int F_0;
    int G_0;
    int H_0;
    int I_0;
    int J_0;
    int K_0;
    _Bool L_0;
    _Bool M_0;
    int N_0;
    _Bool O_0;
    _Bool P_0;
    int Q_0;
    int R_0;
    int S_0;
    int T_0;
    int U_0;
    _Bool V_0;
    int W_0;
    int X_0;
    int Y_0;
    int Z_0;
    _Bool A1_0;
    int B1_0;
    int C1_0;
    int D1_0;
    int E1_0;
    int F1_0;
    int G1_0;
    int H1_0;
    _Bool I1_0;
    int J1_0;
    int K1_0;
    int L1_0;
    _Bool M1_0;
    int N1_0;
    int O1_0;
    int P1_0;
    int Q1_0;
    _Bool R1_0;
    int A_1;
    int B_1;
    _Bool C_1;
    int D_1;
    _Bool E_1;
    int F_1;
    int G_1;
    int H_1;
    int I_1;
    int J_1;
    int K_1;
    _Bool L_1;
    _Bool M_1;
    int N_1;
    _Bool O_1;
    _Bool P_1;
    int Q_1;
    int R_1;
    int S_1;
    int T_1;
    int U_1;
    _Bool V_1;
    int W_1;
    int X_1;
    int Y_1;
    int Z_1;
    _Bool A1_1;
    int B1_1;
    int C1_1;
    int D1_1;
    int E1_1;
    int F1_1;
    int G1_1;
    int H1_1;
    _Bool I1_1;
    int J1_1;
    int K1_1;
    _Bool L1_1;
    int M1_1;
    _Bool N1_1;
    int O1_1;
    _Bool P1_1;
    int Q1_1;
    _Bool R1_1;
    int S1_1;
    int T1_1;
    int U1_1;
    int V1_1;
    int W1_1;
    int X1_1;
    int Y1_1;
    int Z1_1;
    int A2_1;
    int B2_1;
    int C2_1;
    int D2_1;
    int E2_1;
    int F2_1;
    int G2_1;
    int H2_1;
    _Bool I2_1;
    _Bool J2_1;
    int K2_1;
    _Bool L2_1;
    _Bool M2_1;
    int N2_1;
    int O2_1;
    int P2_1;
    int Q2_1;
    int R2_1;
    int S2_1;
    int T2_1;
    int U2_1;
    int V2_1;
    _Bool W2_1;
    int X2_1;
    _Bool Y2_1;
    int Z2_1;
    int A3_1;
    _Bool B3_1;
    int C3_1;
    int D3_1;
    _Bool E3_1;
    int F3_1;
    int G3_1;
    int H3_1;
    int I3_1;
    _Bool J3_1;
    int A_2;
    int B_2;
    _Bool C_2;
    int D_2;
    _Bool E_2;
    int F_2;
    int G_2;
    int H_2;
    int I_2;
    int J_2;
    int K_2;
    _Bool L_2;
    _Bool M_2;
    int N_2;
    _Bool O_2;
    _Bool P_2;
    int Q_2;
    int R_2;
    int S_2;
    int T_2;
    int U_2;
    _Bool V_2;
    int W_2;
    int X_2;
    int Y_2;
    int Z_2;
    _Bool A1_2;
    int B1_2;
    int C1_2;
    int D1_2;
    int E1_2;
    int F1_2;
    int G1_2;
    int H1_2;
    _Bool I1_2;
    int J1_2;
    int K1_2;
    int L1_2;
    _Bool M1_2;
    int N1_2;
    int O1_2;
    int P1_2;
    int Q1_2;
    _Bool R1_2;

    if (((state_0 <= -1000000000) || (state_0 >= 1000000000))
        || ((state_1 <= -1000000000) || (state_1 >= 1000000000))
        || ((state_8 <= -1000000000) || (state_8 >= 1000000000))
        || ((state_9 <= -1000000000) || (state_9 >= 1000000000))
        || ((state_10 <= -1000000000) || (state_10 >= 1000000000))
        || ((state_11 <= -1000000000) || (state_11 >= 1000000000))
        || ((state_12 <= -1000000000) || (state_12 >= 1000000000))
        || ((state_13 <= -1000000000) || (state_13 >= 1000000000))
        || ((state_14 <= -1000000000) || (state_14 >= 1000000000))
        || ((state_15 <= -1000000000) || (state_15 >= 1000000000))
        || ((state_16 <= -1000000000) || (state_16 >= 1000000000))
        || ((state_17 <= -1000000000) || (state_17 >= 1000000000))
        || ((state_18 <= -1000000000) || (state_18 >= 1000000000))
        || ((state_19 <= -1000000000) || (state_19 >= 1000000000))
        || ((state_20 <= -1000000000) || (state_20 >= 1000000000))
        || ((state_21 <= -1000000000) || (state_21 >= 1000000000))
        || ((state_22 <= -1000000000) || (state_22 >= 1000000000))
        || ((state_23 <= -1000000000) || (state_23 >= 1000000000))
        || ((state_24 <= -1000000000) || (state_24 >= 1000000000))
        || ((state_25 <= -1000000000) || (state_25 >= 1000000000))
        || ((state_26 <= -1000000000) || (state_26 >= 1000000000))
        || ((state_27 <= -1000000000) || (state_27 >= 1000000000))
        || ((state_28 <= -1000000000) || (state_28 >= 1000000000))
        || ((state_29 <= -1000000000) || (state_29 >= 1000000000))
        || ((state_30 <= -1000000000) || (state_30 >= 1000000000))
        || ((state_32 <= -1000000000) || (state_32 >= 1000000000))
        || ((state_33 <= -1000000000) || (state_33 >= 1000000000))
        || ((state_34 <= -1000000000) || (state_34 >= 1000000000))
        || ((state_35 <= -1000000000) || (state_35 >= 1000000000))
        || ((state_37 <= -1000000000) || (state_37 >= 1000000000))
        || ((state_38 <= -1000000000) || (state_38 >= 1000000000))
        || ((state_40 <= -1000000000) || (state_40 >= 1000000000))
        || ((state_43 <= -1000000000) || (state_43 >= 1000000000))
        || ((A_0 <= -1000000000) || (A_0 >= 1000000000))
        || ((B_0 <= -1000000000) || (B_0 >= 1000000000))
        || ((D_0 <= -1000000000) || (D_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((H_0 <= -1000000000) || (H_0 >= 1000000000))
        || ((I_0 <= -1000000000) || (I_0 >= 1000000000))
        || ((J_0 <= -1000000000) || (J_0 >= 1000000000))
        || ((K_0 <= -1000000000) || (K_0 >= 1000000000))
        || ((N_0 <= -1000000000) || (N_0 >= 1000000000))
        || ((Q_0 <= -1000000000) || (Q_0 >= 1000000000))
        || ((R_0 <= -1000000000) || (R_0 >= 1000000000))
        || ((S_0 <= -1000000000) || (S_0 >= 1000000000))
        || ((T_0 <= -1000000000) || (T_0 >= 1000000000))
        || ((U_0 <= -1000000000) || (U_0 >= 1000000000))
        || ((W_0 <= -1000000000) || (W_0 >= 1000000000))
        || ((X_0 <= -1000000000) || (X_0 >= 1000000000))
        || ((Y_0 <= -1000000000) || (Y_0 >= 1000000000))
        || ((Z_0 <= -1000000000) || (Z_0 >= 1000000000))
        || ((B1_0 <= -1000000000) || (B1_0 >= 1000000000))
        || ((C1_0 <= -1000000000) || (C1_0 >= 1000000000))
        || ((D1_0 <= -1000000000) || (D1_0 >= 1000000000))
        || ((E1_0 <= -1000000000) || (E1_0 >= 1000000000))
        || ((F1_0 <= -1000000000) || (F1_0 >= 1000000000))
        || ((G1_0 <= -1000000000) || (G1_0 >= 1000000000))
        || ((H1_0 <= -1000000000) || (H1_0 >= 1000000000))
        || ((J1_0 <= -1000000000) || (J1_0 >= 1000000000))
        || ((K1_0 <= -1000000000) || (K1_0 >= 1000000000))
        || ((L1_0 <= -1000000000) || (L1_0 >= 1000000000))
        || ((N1_0 <= -1000000000) || (N1_0 >= 1000000000))
        || ((O1_0 <= -1000000000) || (O1_0 >= 1000000000))
        || ((P1_0 <= -1000000000) || (P1_0 >= 1000000000))
        || ((Q1_0 <= -1000000000) || (Q1_0 >= 1000000000))
        || ((A_1 <= -1000000000) || (A_1 >= 1000000000))
        || ((B_1 <= -1000000000) || (B_1 >= 1000000000))
        || ((D_1 <= -1000000000) || (D_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((G_1 <= -1000000000) || (G_1 >= 1000000000))
        || ((H_1 <= -1000000000) || (H_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((N_1 <= -1000000000) || (N_1 >= 1000000000))
        || ((Q_1 <= -1000000000) || (Q_1 >= 1000000000))
        || ((R_1 <= -1000000000) || (R_1 >= 1000000000))
        || ((S_1 <= -1000000000) || (S_1 >= 1000000000))
        || ((T_1 <= -1000000000) || (T_1 >= 1000000000))
        || ((U_1 <= -1000000000) || (U_1 >= 1000000000))
        || ((W_1 <= -1000000000) || (W_1 >= 1000000000))
        || ((X_1 <= -1000000000) || (X_1 >= 1000000000))
        || ((Y_1 <= -1000000000) || (Y_1 >= 1000000000))
        || ((Z_1 <= -1000000000) || (Z_1 >= 1000000000))
        || ((B1_1 <= -1000000000) || (B1_1 >= 1000000000))
        || ((C1_1 <= -1000000000) || (C1_1 >= 1000000000))
        || ((D1_1 <= -1000000000) || (D1_1 >= 1000000000))
        || ((E1_1 <= -1000000000) || (E1_1 >= 1000000000))
        || ((F1_1 <= -1000000000) || (F1_1 >= 1000000000))
        || ((G1_1 <= -1000000000) || (G1_1 >= 1000000000))
        || ((H1_1 <= -1000000000) || (H1_1 >= 1000000000))
        || ((J1_1 <= -1000000000) || (J1_1 >= 1000000000))
        || ((K1_1 <= -1000000000) || (K1_1 >= 1000000000))
        || ((M1_1 <= -1000000000) || (M1_1 >= 1000000000))
        || ((O1_1 <= -1000000000) || (O1_1 >= 1000000000))
        || ((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000))
        || ((S1_1 <= -1000000000) || (S1_1 >= 1000000000))
        || ((T1_1 <= -1000000000) || (T1_1 >= 1000000000))
        || ((U1_1 <= -1000000000) || (U1_1 >= 1000000000))
        || ((V1_1 <= -1000000000) || (V1_1 >= 1000000000))
        || ((W1_1 <= -1000000000) || (W1_1 >= 1000000000))
        || ((X1_1 <= -1000000000) || (X1_1 >= 1000000000))
        || ((Y1_1 <= -1000000000) || (Y1_1 >= 1000000000))
        || ((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000))
        || ((A2_1 <= -1000000000) || (A2_1 >= 1000000000))
        || ((B2_1 <= -1000000000) || (B2_1 >= 1000000000))
        || ((C2_1 <= -1000000000) || (C2_1 >= 1000000000))
        || ((D2_1 <= -1000000000) || (D2_1 >= 1000000000))
        || ((E2_1 <= -1000000000) || (E2_1 >= 1000000000))
        || ((F2_1 <= -1000000000) || (F2_1 >= 1000000000))
        || ((G2_1 <= -1000000000) || (G2_1 >= 1000000000))
        || ((H2_1 <= -1000000000) || (H2_1 >= 1000000000))
        || ((K2_1 <= -1000000000) || (K2_1 >= 1000000000))
        || ((N2_1 <= -1000000000) || (N2_1 >= 1000000000))
        || ((O2_1 <= -1000000000) || (O2_1 >= 1000000000))
        || ((P2_1 <= -1000000000) || (P2_1 >= 1000000000))
        || ((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000))
        || ((R2_1 <= -1000000000) || (R2_1 >= 1000000000))
        || ((S2_1 <= -1000000000) || (S2_1 >= 1000000000))
        || ((T2_1 <= -1000000000) || (T2_1 >= 1000000000))
        || ((U2_1 <= -1000000000) || (U2_1 >= 1000000000))
        || ((V2_1 <= -1000000000) || (V2_1 >= 1000000000))
        || ((X2_1 <= -1000000000) || (X2_1 >= 1000000000))
        || ((Z2_1 <= -1000000000) || (Z2_1 >= 1000000000))
        || ((A3_1 <= -1000000000) || (A3_1 >= 1000000000))
        || ((C3_1 <= -1000000000) || (C3_1 >= 1000000000))
        || ((D3_1 <= -1000000000) || (D3_1 >= 1000000000))
        || ((F3_1 <= -1000000000) || (F3_1 >= 1000000000))
        || ((G3_1 <= -1000000000) || (G3_1 >= 1000000000))
        || ((H3_1 <= -1000000000) || (H3_1 >= 1000000000))
        || ((I3_1 <= -1000000000) || (I3_1 >= 1000000000))
        || ((A_2 <= -1000000000) || (A_2 >= 1000000000))
        || ((B_2 <= -1000000000) || (B_2 >= 1000000000))
        || ((D_2 <= -1000000000) || (D_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((H_2 <= -1000000000) || (H_2 >= 1000000000))
        || ((I_2 <= -1000000000) || (I_2 >= 1000000000))
        || ((J_2 <= -1000000000) || (J_2 >= 1000000000))
        || ((K_2 <= -1000000000) || (K_2 >= 1000000000))
        || ((N_2 <= -1000000000) || (N_2 >= 1000000000))
        || ((Q_2 <= -1000000000) || (Q_2 >= 1000000000))
        || ((R_2 <= -1000000000) || (R_2 >= 1000000000))
        || ((S_2 <= -1000000000) || (S_2 >= 1000000000))
        || ((T_2 <= -1000000000) || (T_2 >= 1000000000))
        || ((U_2 <= -1000000000) || (U_2 >= 1000000000))
        || ((W_2 <= -1000000000) || (W_2 >= 1000000000))
        || ((X_2 <= -1000000000) || (X_2 >= 1000000000))
        || ((Y_2 <= -1000000000) || (Y_2 >= 1000000000))
        || ((Z_2 <= -1000000000) || (Z_2 >= 1000000000))
        || ((B1_2 <= -1000000000) || (B1_2 >= 1000000000))
        || ((C1_2 <= -1000000000) || (C1_2 >= 1000000000))
        || ((D1_2 <= -1000000000) || (D1_2 >= 1000000000))
        || ((E1_2 <= -1000000000) || (E1_2 >= 1000000000))
        || ((F1_2 <= -1000000000) || (F1_2 >= 1000000000))
        || ((G1_2 <= -1000000000) || (G1_2 >= 1000000000))
        || ((H1_2 <= -1000000000) || (H1_2 >= 1000000000))
        || ((J1_2 <= -1000000000) || (J1_2 >= 1000000000))
        || ((K1_2 <= -1000000000) || (K1_2 >= 1000000000))
        || ((L1_2 <= -1000000000) || (L1_2 >= 1000000000))
        || ((N1_2 <= -1000000000) || (N1_2 >= 1000000000))
        || ((O1_2 <= -1000000000) || (O1_2 >= 1000000000))
        || ((P1_2 <= -1000000000) || (P1_2 >= 1000000000))
        || ((Q1_2 <= -1000000000) || (Q1_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((((!P_0) || (R_0 <= Q_0)) == O_0) && (V_0 == P_0)
         && (M_0 == (L_0 && (0 <= F_0))) && (M_0 == V_0) && (U_0 == T_0)
         && (G_0 == F_0) && (G_0 == I_0) && (H_0 == S_0) && (I_0 == H_0)
         && (I_0 == Z_0) && (J_0 == 0) && (J_0 == U_0) && (K_0 == 0)
         && (K_0 == X_0) && (N_0 == Q_0) && (N_0 == F_0) && (S_0 == R_0)
         && (X_0 == B1_0) && ((!I1_0) || (Y_0 == J1_0)) && ((Y_0 == O1_0)
                                                            || I1_0)
         && ((F1_0 == L1_0) || I1_0) && ((!I1_0) || (F1_0 == D_0))
         && ((H1_0 == Q1_0) || I1_0) && ((!I1_0) || (H1_0 == B_0)) && ((!A1_0)
                                                                       ||
                                                                       (G1_0
                                                                        ==
                                                                        A_0))
         && ((!A1_0) || (E1_0 == D1_0)) && ((!A1_0) || (W_0 == C1_0))
         && ((Y_0 == W_0) || A1_0) && ((F1_0 == E1_0) || A1_0)
         && ((H1_0 == G1_0) || A1_0) && ((!E_0) || (P1_0 == 1)) && ((!E_0)
                                                                    || (K1_0
                                                                        == 0))
         && ((!C_0) || (B_0 == 1)) && ((!C_0) || (D_0 == 0)) && ((!R1_0)
                                                                 || (A_0 ==
                                                                     0))
         && ((!M1_0) || (Q1_0 == P1_0)) && ((!M1_0) || (O1_0 == N1_0))
         && ((!M1_0) || (L1_0 == K1_0))
         && (!(((M1_0 && I1_0) || (A1_0 && I1_0) || (M1_0 && A1_0)) == L_0))))
        abort ();
    state_0 = N_0;
    state_1 = Q_0;
    state_2 = M_0;
    state_3 = V_0;
    state_4 = M1_0;
    state_5 = I1_0;
    state_6 = A1_0;
    state_7 = L_0;
    state_8 = G_0;
    state_9 = I_0;
    state_10 = K_0;
    state_11 = X_0;
    state_12 = J_0;
    state_13 = U_0;
    state_14 = H_0;
    state_15 = S_0;
    state_16 = H1_0;
    state_17 = Q1_0;
    state_18 = B_0;
    state_19 = F1_0;
    state_20 = L1_0;
    state_21 = D_0;
    state_22 = Y_0;
    state_23 = J1_0;
    state_24 = O1_0;
    state_25 = G1_0;
    state_26 = A_0;
    state_27 = E1_0;
    state_28 = D1_0;
    state_29 = W_0;
    state_30 = C1_0;
    state_31 = P_0;
    state_32 = Z_0;
    state_33 = B1_0;
    state_34 = T_0;
    state_35 = R_0;
    state_36 = O_0;
    state_37 = F_0;
    state_38 = K1_0;
    state_39 = E_0;
    state_40 = P1_0;
    state_41 = C_0;
    state_42 = R1_0;
    state_43 = N1_0;
    Q1_1 = __VERIFIER_nondet_int ();
    if (((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000)))
        abort ();
    Q2_1 = __VERIFIER_nondet_int ();
    if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
        abort ();
    M1_1 = __VERIFIER_nondet_int ();
    if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
        abort ();
    M2_1 = __VERIFIER_nondet__Bool ();
    I2_1 = __VERIFIER_nondet__Bool ();
    E2_1 = __VERIFIER_nondet_int ();
    if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
        abort ();
    A2_1 = __VERIFIER_nondet_int ();
    if (((A2_1 <= -1000000000) || (A2_1 >= 1000000000)))
        abort ();
    A3_1 = __VERIFIER_nondet_int ();
    if (((A3_1 <= -1000000000) || (A3_1 >= 1000000000)))
        abort ();
    Z1_1 = __VERIFIER_nondet_int ();
    if (((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000)))
        abort ();
    Z2_1 = __VERIFIER_nondet_int ();
    if (((Z2_1 <= -1000000000) || (Z2_1 >= 1000000000)))
        abort ();
    V1_1 = __VERIFIER_nondet_int ();
    if (((V1_1 <= -1000000000) || (V1_1 >= 1000000000)))
        abort ();
    V2_1 = __VERIFIER_nondet_int ();
    if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
        abort ();
    R1_1 = __VERIFIER_nondet__Bool ();
    R2_1 = __VERIFIER_nondet_int ();
    if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
        abort ();
    N1_1 = __VERIFIER_nondet__Bool ();
    N2_1 = __VERIFIER_nondet_int ();
    if (((N2_1 <= -1000000000) || (N2_1 >= 1000000000)))
        abort ();
    J2_1 = __VERIFIER_nondet__Bool ();
    F2_1 = __VERIFIER_nondet_int ();
    if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
        abort ();
    B2_1 = __VERIFIER_nondet_int ();
    if (((B2_1 <= -1000000000) || (B2_1 >= 1000000000)))
        abort ();
    B3_1 = __VERIFIER_nondet__Bool ();
    W1_1 = __VERIFIER_nondet_int ();
    if (((W1_1 <= -1000000000) || (W1_1 >= 1000000000)))
        abort ();
    W2_1 = __VERIFIER_nondet__Bool ();
    S1_1 = __VERIFIER_nondet_int ();
    if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
        abort ();
    S2_1 = __VERIFIER_nondet_int ();
    if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
        abort ();
    O1_1 = __VERIFIER_nondet_int ();
    if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
        abort ();
    O2_1 = __VERIFIER_nondet_int ();
    if (((O2_1 <= -1000000000) || (O2_1 >= 1000000000)))
        abort ();
    K1_1 = __VERIFIER_nondet_int ();
    if (((K1_1 <= -1000000000) || (K1_1 >= 1000000000)))
        abort ();
    K2_1 = __VERIFIER_nondet_int ();
    if (((K2_1 <= -1000000000) || (K2_1 >= 1000000000)))
        abort ();
    G2_1 = __VERIFIER_nondet_int ();
    if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
        abort ();
    C2_1 = __VERIFIER_nondet_int ();
    if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
        abort ();
    X1_1 = __VERIFIER_nondet_int ();
    if (((X1_1 <= -1000000000) || (X1_1 >= 1000000000)))
        abort ();
    X2_1 = __VERIFIER_nondet_int ();
    if (((X2_1 <= -1000000000) || (X2_1 >= 1000000000)))
        abort ();
    T1_1 = __VERIFIER_nondet_int ();
    if (((T1_1 <= -1000000000) || (T1_1 >= 1000000000)))
        abort ();
    T2_1 = __VERIFIER_nondet_int ();
    if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
        abort ();
    P1_1 = __VERIFIER_nondet__Bool ();
    P2_1 = __VERIFIER_nondet_int ();
    if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
        abort ();
    L1_1 = __VERIFIER_nondet__Bool ();
    L2_1 = __VERIFIER_nondet__Bool ();
    H2_1 = __VERIFIER_nondet_int ();
    if (((H2_1 <= -1000000000) || (H2_1 >= 1000000000)))
        abort ();
    D2_1 = __VERIFIER_nondet_int ();
    if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
        abort ();
    Y1_1 = __VERIFIER_nondet_int ();
    if (((Y1_1 <= -1000000000) || (Y1_1 >= 1000000000)))
        abort ();
    Y2_1 = __VERIFIER_nondet__Bool ();
    U1_1 = __VERIFIER_nondet_int ();
    if (((U1_1 <= -1000000000) || (U1_1 >= 1000000000)))
        abort ();
    U2_1 = __VERIFIER_nondet_int ();
    if (((U2_1 <= -1000000000) || (U2_1 >= 1000000000)))
        abort ();
    N_1 = state_0;
    Q_1 = state_1;
    M_1 = state_2;
    V_1 = state_3;
    E3_1 = state_4;
    I1_1 = state_5;
    A1_1 = state_6;
    L_1 = state_7;
    G_1 = state_8;
    I_1 = state_9;
    K_1 = state_10;
    X_1 = state_11;
    J_1 = state_12;
    U_1 = state_13;
    H_1 = state_14;
    S_1 = state_15;
    H1_1 = state_16;
    I3_1 = state_17;
    B_1 = state_18;
    F1_1 = state_19;
    D3_1 = state_20;
    D_1 = state_21;
    Y_1 = state_22;
    J1_1 = state_23;
    G3_1 = state_24;
    G1_1 = state_25;
    A_1 = state_26;
    E1_1 = state_27;
    D1_1 = state_28;
    W_1 = state_29;
    C1_1 = state_30;
    P_1 = state_31;
    Z_1 = state_32;
    B1_1 = state_33;
    T_1 = state_34;
    R_1 = state_35;
    O_1 = state_36;
    F_1 = state_37;
    C3_1 = state_38;
    E_1 = state_39;
    H3_1 = state_40;
    C_1 = state_41;
    J3_1 = state_42;
    F3_1 = state_43;
    if (!
        (((1 <= S_1) == L1_1) && ((1 <= S_1) == P1_1)
         && (!(((B3_1 && Y2_1) || (B3_1 && R1_1) || (Y2_1 && R1_1)) == I2_1))
         && (!(((I1_1 && E3_1) || (A1_1 && E3_1) || (A1_1 && I1_1)) == L_1))
         && (((!M2_1) || (O2_1 <= N2_1)) == L2_1)
         && (((!P_1) || (R_1 <= Q_1)) == O_1)
         && (J2_1 == (V_1 && I2_1 && (0 <= H2_1))) && (W2_1 == J2_1)
         && (W2_1 == M2_1) && (V_1 == P_1) && (M_1 == V_1) && (C2_1 == B2_1)
         && (E2_1 == D2_1) && (G2_1 == F2_1) && (N2_1 == K2_1)
         && (P2_1 == C2_1) && (P2_1 == O2_1) && (R2_1 == E2_1)
         && (R2_1 == Q2_1) && (T2_1 == G2_1) && (T2_1 == S2_1)
         && (V2_1 == A2_1) && (V2_1 == U2_1) && (X_1 == B1_1) && (U_1 == T_1)
         && (S_1 == R_1) && (Q_1 == K2_1) && (N_1 == Q_1) && (K_1 == X_1)
         && (J_1 == U_1) && (I_1 == A2_1) && (I_1 == Z_1) && (H_1 == S_1)
         && (G_1 == I_1) && ((!L1_1) || ((X_1 + S_1 + (-1 * K1_1)) == 1))
         && ((!L1_1) || ((U_1 + (-1 * W1_1)) == -1)) && ((!L1_1)
                                                         || (Z1_1 == 0))
         && (L1_1 || (X_1 == Z1_1)) && (L1_1 || (U_1 == W1_1)) && (L1_1
                                                                   || (S_1 ==
                                                                       K1_1))
         && ((!N1_1) || ((X_1 + U_1 + S_1 + (-1 * M1_1)) == 1)) && ((!N1_1)
                                                                    || (X1_1
                                                                        == 0))
         && ((!N1_1) || (Y1_1 == 1)) && (N1_1 || (X_1 == Y1_1)) && (N1_1
                                                                    || (U_1 ==
                                                                        X1_1))
         && (N1_1 || (S_1 == M1_1)) && ((!P1_1)
                                        || ((X_1 + U_1 + S_1 + (-1 * O1_1)) ==
                                            1)) && ((!P1_1) || (S1_1 == 0))
         && ((!P1_1) || (U1_1 == 1)) && (P1_1 || (X_1 == U1_1)) && (P1_1
                                                                    || (U_1 ==
                                                                        S1_1))
         && (P1_1 || (S_1 == O1_1)) && ((!R1_1) || (Q1_1 == O1_1)) && ((!R1_1)
                                                                       ||
                                                                       (T1_1
                                                                        ==
                                                                        S1_1))
         && ((!R1_1) || (V1_1 == U1_1)) && (R1_1 || (X_1 == V1_1)) && (R1_1
                                                                       || (U_1
                                                                           ==
                                                                           T1_1))
         && (R1_1 || (S_1 == Q1_1)) && ((!Y2_1) || (K1_1 == B2_1)) && ((!Y2_1)
                                                                       ||
                                                                       (D2_1
                                                                        ==
                                                                        W1_1))
         && ((!Y2_1) || (F2_1 == Z1_1)) && (Y2_1 || (X2_1 == B2_1)) && (Y2_1
                                                                        ||
                                                                        (Z2_1
                                                                         ==
                                                                         D2_1))
         && (Y2_1 || (A3_1 == F2_1)) && ((!B3_1) || (M1_1 == X2_1)) && (B3_1
                                                                        ||
                                                                        (T1_1
                                                                         ==
                                                                         Z2_1))
         && (B3_1 || (V1_1 == A3_1)) && (B3_1 || (X2_1 == Q1_1)) && ((!B3_1)
                                                                     || (Z2_1
                                                                         ==
                                                                         X1_1))
         && ((!B3_1) || (A3_1 == Y1_1)) && (I1_1 || (H1_1 == I3_1))
         && ((!I1_1) || (H1_1 == B_1)) && (I1_1 || (F1_1 == D3_1)) && ((!I1_1)
                                                                       ||
                                                                       (F1_1
                                                                        ==
                                                                        D_1))
         && (I1_1 || (Y_1 == G3_1)) && ((!I1_1) || (Y_1 == J1_1)) && (A1_1
                                                                      || (H1_1
                                                                          ==
                                                                          G1_1))
         && ((!A1_1) || (G1_1 == A_1)) && (A1_1 || (F1_1 == E1_1)) && ((!A1_1)
                                                                       ||
                                                                       (E1_1
                                                                        ==
                                                                        D1_1))
         && (A1_1 || (Y_1 == W_1)) && ((!A1_1) || (W_1 == C1_1))
         && ((1 <= U_1) == N1_1)))
        abort ();
    state_0 = K2_1;
    state_1 = N2_1;
    state_2 = J2_1;
    state_3 = W2_1;
    state_4 = R1_1;
    state_5 = B3_1;
    state_6 = Y2_1;
    state_7 = I2_1;
    state_8 = A2_1;
    state_9 = V2_1;
    state_10 = G2_1;
    state_11 = T2_1;
    state_12 = E2_1;
    state_13 = R2_1;
    state_14 = C2_1;
    state_15 = P2_1;
    state_16 = A3_1;
    state_17 = V1_1;
    state_18 = Y1_1;
    state_19 = Z2_1;
    state_20 = T1_1;
    state_21 = X1_1;
    state_22 = X2_1;
    state_23 = M1_1;
    state_24 = Q1_1;
    state_25 = F2_1;
    state_26 = Z1_1;
    state_27 = D2_1;
    state_28 = W1_1;
    state_29 = B2_1;
    state_30 = K1_1;
    state_31 = M2_1;
    state_32 = U2_1;
    state_33 = S2_1;
    state_34 = Q2_1;
    state_35 = O2_1;
    state_36 = L2_1;
    state_37 = H2_1;
    state_38 = S1_1;
    state_39 = P1_1;
    state_40 = U1_1;
    state_41 = N1_1;
    state_42 = L1_1;
    state_43 = O1_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          N_2 = state_0;
          Q_2 = state_1;
          M_2 = state_2;
          V_2 = state_3;
          M1_2 = state_4;
          I1_2 = state_5;
          A1_2 = state_6;
          L_2 = state_7;
          G_2 = state_8;
          I_2 = state_9;
          K_2 = state_10;
          X_2 = state_11;
          J_2 = state_12;
          U_2 = state_13;
          H_2 = state_14;
          S_2 = state_15;
          H1_2 = state_16;
          Q1_2 = state_17;
          B_2 = state_18;
          F1_2 = state_19;
          L1_2 = state_20;
          D_2 = state_21;
          Y_2 = state_22;
          J1_2 = state_23;
          O1_2 = state_24;
          G1_2 = state_25;
          A_2 = state_26;
          E1_2 = state_27;
          D1_2 = state_28;
          W_2 = state_29;
          C1_2 = state_30;
          P_2 = state_31;
          Z_2 = state_32;
          B1_2 = state_33;
          T_2 = state_34;
          R_2 = state_35;
          O_2 = state_36;
          F_2 = state_37;
          K1_2 = state_38;
          E_2 = state_39;
          P1_2 = state_40;
          C_2 = state_41;
          R1_2 = state_42;
          N1_2 = state_43;
          if (!(!O_2))
              abort ();
          goto main_error;

      case 1:
          Q1_1 = __VERIFIER_nondet_int ();
          if (((Q1_1 <= -1000000000) || (Q1_1 >= 1000000000)))
              abort ();
          Q2_1 = __VERIFIER_nondet_int ();
          if (((Q2_1 <= -1000000000) || (Q2_1 >= 1000000000)))
              abort ();
          M1_1 = __VERIFIER_nondet_int ();
          if (((M1_1 <= -1000000000) || (M1_1 >= 1000000000)))
              abort ();
          M2_1 = __VERIFIER_nondet__Bool ();
          I2_1 = __VERIFIER_nondet__Bool ();
          E2_1 = __VERIFIER_nondet_int ();
          if (((E2_1 <= -1000000000) || (E2_1 >= 1000000000)))
              abort ();
          A2_1 = __VERIFIER_nondet_int ();
          if (((A2_1 <= -1000000000) || (A2_1 >= 1000000000)))
              abort ();
          A3_1 = __VERIFIER_nondet_int ();
          if (((A3_1 <= -1000000000) || (A3_1 >= 1000000000)))
              abort ();
          Z1_1 = __VERIFIER_nondet_int ();
          if (((Z1_1 <= -1000000000) || (Z1_1 >= 1000000000)))
              abort ();
          Z2_1 = __VERIFIER_nondet_int ();
          if (((Z2_1 <= -1000000000) || (Z2_1 >= 1000000000)))
              abort ();
          V1_1 = __VERIFIER_nondet_int ();
          if (((V1_1 <= -1000000000) || (V1_1 >= 1000000000)))
              abort ();
          V2_1 = __VERIFIER_nondet_int ();
          if (((V2_1 <= -1000000000) || (V2_1 >= 1000000000)))
              abort ();
          R1_1 = __VERIFIER_nondet__Bool ();
          R2_1 = __VERIFIER_nondet_int ();
          if (((R2_1 <= -1000000000) || (R2_1 >= 1000000000)))
              abort ();
          N1_1 = __VERIFIER_nondet__Bool ();
          N2_1 = __VERIFIER_nondet_int ();
          if (((N2_1 <= -1000000000) || (N2_1 >= 1000000000)))
              abort ();
          J2_1 = __VERIFIER_nondet__Bool ();
          F2_1 = __VERIFIER_nondet_int ();
          if (((F2_1 <= -1000000000) || (F2_1 >= 1000000000)))
              abort ();
          B2_1 = __VERIFIER_nondet_int ();
          if (((B2_1 <= -1000000000) || (B2_1 >= 1000000000)))
              abort ();
          B3_1 = __VERIFIER_nondet__Bool ();
          W1_1 = __VERIFIER_nondet_int ();
          if (((W1_1 <= -1000000000) || (W1_1 >= 1000000000)))
              abort ();
          W2_1 = __VERIFIER_nondet__Bool ();
          S1_1 = __VERIFIER_nondet_int ();
          if (((S1_1 <= -1000000000) || (S1_1 >= 1000000000)))
              abort ();
          S2_1 = __VERIFIER_nondet_int ();
          if (((S2_1 <= -1000000000) || (S2_1 >= 1000000000)))
              abort ();
          O1_1 = __VERIFIER_nondet_int ();
          if (((O1_1 <= -1000000000) || (O1_1 >= 1000000000)))
              abort ();
          O2_1 = __VERIFIER_nondet_int ();
          if (((O2_1 <= -1000000000) || (O2_1 >= 1000000000)))
              abort ();
          K1_1 = __VERIFIER_nondet_int ();
          if (((K1_1 <= -1000000000) || (K1_1 >= 1000000000)))
              abort ();
          K2_1 = __VERIFIER_nondet_int ();
          if (((K2_1 <= -1000000000) || (K2_1 >= 1000000000)))
              abort ();
          G2_1 = __VERIFIER_nondet_int ();
          if (((G2_1 <= -1000000000) || (G2_1 >= 1000000000)))
              abort ();
          C2_1 = __VERIFIER_nondet_int ();
          if (((C2_1 <= -1000000000) || (C2_1 >= 1000000000)))
              abort ();
          X1_1 = __VERIFIER_nondet_int ();
          if (((X1_1 <= -1000000000) || (X1_1 >= 1000000000)))
              abort ();
          X2_1 = __VERIFIER_nondet_int ();
          if (((X2_1 <= -1000000000) || (X2_1 >= 1000000000)))
              abort ();
          T1_1 = __VERIFIER_nondet_int ();
          if (((T1_1 <= -1000000000) || (T1_1 >= 1000000000)))
              abort ();
          T2_1 = __VERIFIER_nondet_int ();
          if (((T2_1 <= -1000000000) || (T2_1 >= 1000000000)))
              abort ();
          P1_1 = __VERIFIER_nondet__Bool ();
          P2_1 = __VERIFIER_nondet_int ();
          if (((P2_1 <= -1000000000) || (P2_1 >= 1000000000)))
              abort ();
          L1_1 = __VERIFIER_nondet__Bool ();
          L2_1 = __VERIFIER_nondet__Bool ();
          H2_1 = __VERIFIER_nondet_int ();
          if (((H2_1 <= -1000000000) || (H2_1 >= 1000000000)))
              abort ();
          D2_1 = __VERIFIER_nondet_int ();
          if (((D2_1 <= -1000000000) || (D2_1 >= 1000000000)))
              abort ();
          Y1_1 = __VERIFIER_nondet_int ();
          if (((Y1_1 <= -1000000000) || (Y1_1 >= 1000000000)))
              abort ();
          Y2_1 = __VERIFIER_nondet__Bool ();
          U1_1 = __VERIFIER_nondet_int ();
          if (((U1_1 <= -1000000000) || (U1_1 >= 1000000000)))
              abort ();
          U2_1 = __VERIFIER_nondet_int ();
          if (((U2_1 <= -1000000000) || (U2_1 >= 1000000000)))
              abort ();
          N_1 = state_0;
          Q_1 = state_1;
          M_1 = state_2;
          V_1 = state_3;
          E3_1 = state_4;
          I1_1 = state_5;
          A1_1 = state_6;
          L_1 = state_7;
          G_1 = state_8;
          I_1 = state_9;
          K_1 = state_10;
          X_1 = state_11;
          J_1 = state_12;
          U_1 = state_13;
          H_1 = state_14;
          S_1 = state_15;
          H1_1 = state_16;
          I3_1 = state_17;
          B_1 = state_18;
          F1_1 = state_19;
          D3_1 = state_20;
          D_1 = state_21;
          Y_1 = state_22;
          J1_1 = state_23;
          G3_1 = state_24;
          G1_1 = state_25;
          A_1 = state_26;
          E1_1 = state_27;
          D1_1 = state_28;
          W_1 = state_29;
          C1_1 = state_30;
          P_1 = state_31;
          Z_1 = state_32;
          B1_1 = state_33;
          T_1 = state_34;
          R_1 = state_35;
          O_1 = state_36;
          F_1 = state_37;
          C3_1 = state_38;
          E_1 = state_39;
          H3_1 = state_40;
          C_1 = state_41;
          J3_1 = state_42;
          F3_1 = state_43;
          if (!
              (((1 <= S_1) == L1_1) && ((1 <= S_1) == P1_1)
               &&
               (!(((B3_1 && Y2_1) || (B3_1 && R1_1)
                   || (Y2_1 && R1_1)) == I2_1)) && (!(((I1_1 && E3_1) || (A1_1
                                                                          &&
                                                                          E3_1)
                                                       || (A1_1
                                                           && I1_1)) == L_1))
               && (((!M2_1) || (O2_1 <= N2_1)) == L2_1)
               && (((!P_1) || (R_1 <= Q_1)) == O_1)
               && (J2_1 == (V_1 && I2_1 && (0 <= H2_1))) && (W2_1 == J2_1)
               && (W2_1 == M2_1) && (V_1 == P_1) && (M_1 == V_1)
               && (C2_1 == B2_1) && (E2_1 == D2_1) && (G2_1 == F2_1)
               && (N2_1 == K2_1) && (P2_1 == C2_1) && (P2_1 == O2_1)
               && (R2_1 == E2_1) && (R2_1 == Q2_1) && (T2_1 == G2_1)
               && (T2_1 == S2_1) && (V2_1 == A2_1) && (V2_1 == U2_1)
               && (X_1 == B1_1) && (U_1 == T_1) && (S_1 == R_1)
               && (Q_1 == K2_1) && (N_1 == Q_1) && (K_1 == X_1)
               && (J_1 == U_1) && (I_1 == A2_1) && (I_1 == Z_1)
               && (H_1 == S_1) && (G_1 == I_1) && ((!L1_1)
                                                   ||
                                                   ((X_1 + S_1 +
                                                     (-1 * K1_1)) == 1))
               && ((!L1_1) || ((U_1 + (-1 * W1_1)) == -1)) && ((!L1_1)
                                                               || (Z1_1 == 0))
               && (L1_1 || (X_1 == Z1_1)) && (L1_1 || (U_1 == W1_1)) && (L1_1
                                                                         ||
                                                                         (S_1
                                                                          ==
                                                                          K1_1))
               && ((!N1_1) || ((X_1 + U_1 + S_1 + (-1 * M1_1)) == 1))
               && ((!N1_1) || (X1_1 == 0)) && ((!N1_1) || (Y1_1 == 1))
               && (N1_1 || (X_1 == Y1_1)) && (N1_1 || (U_1 == X1_1)) && (N1_1
                                                                         ||
                                                                         (S_1
                                                                          ==
                                                                          M1_1))
               && ((!P1_1) || ((X_1 + U_1 + S_1 + (-1 * O1_1)) == 1))
               && ((!P1_1) || (S1_1 == 0)) && ((!P1_1) || (U1_1 == 1))
               && (P1_1 || (X_1 == U1_1)) && (P1_1 || (U_1 == S1_1)) && (P1_1
                                                                         ||
                                                                         (S_1
                                                                          ==
                                                                          O1_1))
               && ((!R1_1) || (Q1_1 == O1_1)) && ((!R1_1) || (T1_1 == S1_1))
               && ((!R1_1) || (V1_1 == U1_1)) && (R1_1 || (X_1 == V1_1))
               && (R1_1 || (U_1 == T1_1)) && (R1_1 || (S_1 == Q1_1))
               && ((!Y2_1) || (K1_1 == B2_1)) && ((!Y2_1) || (D2_1 == W1_1))
               && ((!Y2_1) || (F2_1 == Z1_1)) && (Y2_1 || (X2_1 == B2_1))
               && (Y2_1 || (Z2_1 == D2_1)) && (Y2_1 || (A3_1 == F2_1))
               && ((!B3_1) || (M1_1 == X2_1)) && (B3_1 || (T1_1 == Z2_1))
               && (B3_1 || (V1_1 == A3_1)) && (B3_1 || (X2_1 == Q1_1))
               && ((!B3_1) || (Z2_1 == X1_1)) && ((!B3_1) || (A3_1 == Y1_1))
               && (I1_1 || (H1_1 == I3_1)) && ((!I1_1) || (H1_1 == B_1))
               && (I1_1 || (F1_1 == D3_1)) && ((!I1_1) || (F1_1 == D_1))
               && (I1_1 || (Y_1 == G3_1)) && ((!I1_1) || (Y_1 == J1_1))
               && (A1_1 || (H1_1 == G1_1)) && ((!A1_1) || (G1_1 == A_1))
               && (A1_1 || (F1_1 == E1_1)) && ((!A1_1) || (E1_1 == D1_1))
               && (A1_1 || (Y_1 == W_1)) && ((!A1_1) || (W_1 == C1_1))
               && ((1 <= U_1) == N1_1)))
              abort ();
          state_0 = K2_1;
          state_1 = N2_1;
          state_2 = J2_1;
          state_3 = W2_1;
          state_4 = R1_1;
          state_5 = B3_1;
          state_6 = Y2_1;
          state_7 = I2_1;
          state_8 = A2_1;
          state_9 = V2_1;
          state_10 = G2_1;
          state_11 = T2_1;
          state_12 = E2_1;
          state_13 = R2_1;
          state_14 = C2_1;
          state_15 = P2_1;
          state_16 = A3_1;
          state_17 = V1_1;
          state_18 = Y1_1;
          state_19 = Z2_1;
          state_20 = T1_1;
          state_21 = X1_1;
          state_22 = X2_1;
          state_23 = M1_1;
          state_24 = Q1_1;
          state_25 = F2_1;
          state_26 = Z1_1;
          state_27 = D2_1;
          state_28 = W1_1;
          state_29 = B2_1;
          state_30 = K1_1;
          state_31 = M2_1;
          state_32 = U2_1;
          state_33 = S2_1;
          state_34 = Q2_1;
          state_35 = O2_1;
          state_36 = L2_1;
          state_37 = H2_1;
          state_38 = S1_1;
          state_39 = P1_1;
          state_40 = U1_1;
          state_41 = N1_1;
          state_42 = L1_1;
          state_43 = O1_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

